package com.objis.demostruts;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.objis.demostruts.dao.DemandeFormationDao;
import com.objis.demostruts.domaine.DemandeFormation;

/**
* @author Douglas Mbiandou
*/

/**
 * Action struts lie  la demande de formation.
 *
*/

public class DemandeFormationAction2 extends Action
{
	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response) throws Exception{
		
		//DemandeFormationForm = (DemandeFormationForm)form.
      	String name = (String)PropertyUtils.getSimpleProperty(form, "name");
      	String adress = (String)PropertyUtils.getSimpleProperty(form, "address");
      	String emailAdress = (String)PropertyUtils.getSimpleProperty(form, "emailAddress");
      	String societe = (String)PropertyUtils.getSimpleProperty(form, "societe");
      	String theme = (String)PropertyUtils.getSimpleProperty(form, "theme");
      	String date = (String)PropertyUtils.getSimpleProperty(form, "date");
      	String audit = (String)PropertyUtils.getSimpleProperty(form, "audit");
      	String remarque = (String)PropertyUtils.getSimpleProperty(form, "remarque");

      	
      	DemandeFormation demandeFormation = new DemandeFormation(name,adress,emailAdress,societe,theme,date, audit, remarque);
      	
      	HttpSession session = request.getSession();
      	session.setAttribute("demande", demandeFormation);
      	
      	DemandeFormationDao demandeFormationDao = new DemandeFormationDao();
      	
      	demandeFormationDao.insertDemandeFormation(demandeFormation);
      	
			return mapping.findForward("success");
	}
}
